wnpa-sec-2012-16 · Wireshark ERF dissector flaws

Summary

Name: Wireshark ERF dissector flaws

Docid: wnpa-sec-2012-16

Date: August 15, 2012

Affected versions: 1.8.0 to 1.8.1

Fixed versions: 1.8.2

References: Wireshark bug 7563
CVE-2012-4294
CVE-2012-4295

Details

Description

The ERF dissector could overflow a buffer. Reported by Laurent Butti.

Impact

It may be possible to make Wireshark crash, hang, or execute code by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

Resolution

Upgrade to Wireshark 1.8.2 or later.